Subject: [DNSOP] Fwd: Alias mode processing in auths for draft-ietf-dnsop-svcb-https-01

From: Mark Andrews <[email-masked]>
Date: Thu, 6 Aug 2020 07:40:21 +1000

> Begin forwarded message:
> 
> From: Mark Andrews <[email-masked]>
> Subject: Re: [DNSOP] Alias mode processing in auths for draft-ietf-dnsop-svcb-https-01
> Date: 6 August 2020 at 06:50:41 AEST
> To: Ben Schwartz <bemasc=[email-masked]>
> 
> 
> 
>> On 6 Aug 2020, at 03:07, Ben Schwartz <bemasc=[email-masked] <mailto:bemasc=[email-masked]>> wrote:
>> 
>> On Wed, Aug 5, 2020 at 12:06 PM Pieter Lexis <[email-masked] <mailto:[email-masked]>> wrote:
>> ...
>> Do *both* alias-target{1,2}.example.net <http://example.net/>|SVBC records end up in the
>> ADDITIONAL section. Or are they (as is the case with an in-zone CNAME)
>> considered an answer and should they go into the ANSWER section?
>> 
>> I think Section 4.1 is pretty clear that everything goes in the Additional section.  (But this can be changed!) 
> 
> It MUST go in the additional section.  It is not actually a alias.  It is a record that says what the names of the servers for the server are.  This is no different to MX or SRV in that usage.  Just stop using the loaded word “ALIAS” as it isn’t a alias.
> 
>> I find the alias mode semantics (on the DNS-level) unclear and
>> under-specified in the draft. I look forward to guidance from the authors.
>> 
>> And I look forward to guidance from you!  How do you think it should work?  Send text!
>> 
>> Personally, I'd like to know which of these questions actually need to be resolved in the standard, and which can safely be left to the discretion of implementors.  Is there a compatibility concern with any of these questions, or is it only a question of consistency across implementations?
>> 
>> Conceptually, AliasMode is not a CNAME: it only affects SVCB queries (not other RR types), and can safely be implemented entirely as an RFC 3597 Unknown RR Type.  That suggests that it is at least safe, and perhaps least-surprising, for the authoritative server to put all responses for other owner names in the Additional section, as the current text seems to indicate fairly clearly.
>> 
>> P..S. The text on this point has recently changed: https://github.com/MikeBishop/dns-alt-svc/pull/199#discussion_r444979971.  One of the questions there is what should happen for AliasMode->CNAME->ServiceMode->AAAA, all in-bailiwick.  The draft says "Clients and recursive resolvers MUST follow CNAMEs as normal.", but it no longer says anything about authoritatives.
>> _______________________________________________
>> DNSOP mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/dnsop
> 
> -- 
> Mark Andrews, ISC
> 1 Seymour St., Dundas Valley, NSW 2117, Australia
> PHONE: +61 2 9871 4742              INTERNET: [email-masked] <mailto:[email-masked]>
-- 
Mark Andrews, ISC
1 Seymour St., Dundas Valley, NSW 2117, Australia
PHONE: +61 2 9871 4742              INTERNET: [email-masked]